<?php $__env->startSection('title', translate('SMS Module Setup')); ?>

<?php $__env->startPush('css_or_js'); ?>

<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <!-- Page Header -->
        <div class="d-flex flex-wrap gap-2 align-items-center mb-4">
            <h2 class="h1 mb-0 d-flex align-items-center gap-2">
                <img width="20" class="avatar-img" src="<?php echo e(asset('public/assets/admin/img/icons/third-party.png')); ?>" alt="">
                <span class="page-header-title">
                    <?php echo e(translate('third_party')); ?>

                </span>
            </h2>
        </div>
        <!-- End Page Header -->

        <!-- Inline Page Menu -->
        <?php echo $__env->make('admin-views.business-settings.partials._3rdparty-inline-menu', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <div class="row">
            <div class="col-md-6">
                <div class="card">
                    <div class="card-body">
                        <div class="d-flex flex-wrap justify-content-between align-items-center text-uppercase mb-1">
                            <h5 class="mb-0"><?php echo e(translate('twilio_SMS')); ?></h5>
                            <div class="pl-2">
                                <img src="<?php echo e(asset('public/assets/admin/img/twilio.png')); ?>" alt="public" style="height: 50px">
                            </div>
                        </div>
                        <div>
                            <div class="px-2 d-inline-block rounded badge-soft-info mb-3 fz-12"><?php echo e(translate('NB : #OTP# will be replace with otp')); ?></div>
                        </div>
                        <?php ($config=\App\CentralLogics\Helpers::get_business_settings('twilio_sms')); ?>
                        <form action="<?php echo e(env('APP_MODE')!='demo'?route('admin.business-settings.web-app.sms-module-update',['twilio_sms']):'javascript:'); ?>"
                              method="post">
                            <?php echo csrf_field(); ?>

                            <div class="form-group mb-2">
                                <label class="control-label"><?php echo e(translate('twilio_sms')); ?></label>
                            </div>
                            <div class="d-flex flex-wrap mb-4">
                                <label class="form-check form--check mr-4 mr-md-4">
                                    <input type="radio" name="status" id="twilio_sms_active" value="1" <?php echo e(isset($config) && $config['status']==1?'checked':''); ?>>
                                    <span for="twilio_sms_active" class="mb-0"><?php echo e(translate('active')); ?></span>
                                </label>
                                <label class="form-check form--check">
                                    <input type="radio" name="status" id="twilio_sms_inactive" value="0" <?php echo e(isset($config) && $config['status']==0?'checked':''); ?>>
                                    <span for="twilio_sms_inactive" class="mb-0"><?php echo e(translate('inactive')); ?> </span>
                                </label>
                            </div>
                            <div class="form-group">
                                <label><?php echo e(translate('sid')); ?></label>
                                <input type="text" class="form-control" name="sid"
                                       value="<?php echo e(env('APP_MODE')!='demo'?$config['sid']??"":''); ?>">
                            </div>

                            <div class="form-group">
                                <label><?php echo e(translate('messaging_service_sid')); ?></label>
                                <input type="text" class="form-control" name="messaging_service_sid"
                                       value="<?php echo e(env('APP_MODE')!='demo'?$config['messaging_service_sid']??"":''); ?>">
                            </div>

                            <div class="form-group">
                                <label><?php echo e(translate('token')); ?></label>
                                <input type="text" class="form-control" name="token"
                                       value="<?php echo e(env('APP_MODE')!='demo'?$config['token']??"":''); ?>">
                            </div>

                            <div class="form-group">
                                <label><?php echo e(translate('from')); ?></label>
                                <input type="text" class="form-control" name="from"
                                       value="<?php echo e(env('APP_MODE')!='demo'?$config['from']??"":''); ?>">
                            </div>

                            <div class="form-group">
                                <label><?php echo e(translate('otp_template')); ?></label>
                                <input type="text" class="form-control" name="otp_template"
                                       value="<?php echo e(env('APP_MODE')!='demo'?$config['otp_template']??"":''); ?>">
                            </div>

                            <div class="btn--container">
                                <button type="<?php echo e(env('APP_MODE')!='demo'?'submit':'button'); ?>"
                                    onclick="<?php echo e(env('APP_MODE')!='demo'?'':'call_demo()'); ?>"
                                    class="btn btn-primary"><?php echo e(translate('save')); ?></button>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="card mt-3">
                    <div class="card-body">
                        <div class="d-flex flex-wrap justify-content-between align-items-center text-uppercase mb-1">
                            <h5 class="mb-0"><?php echo e(translate('2factor_sms')); ?></h5>
                            <div class="pl-2">
                                <img src="<?php echo e(asset('public/assets/admin/img/2factor.png')); ?>" alt="public" style="height: 50px">
                            </div>
                        </div>
                        <div>
                            <div class="px-2 d-inline-block rounded badge-soft-info mb-1 fz-12"><?php echo e(\App\CentralLogics\translate("EX of SMS provider's template : your OTP is XXXX here, please check.")); ?></div>
                        </div>
                        <div>
                            <div class="px-2 d-inline-block rounded badge-soft-info mb-3 fz-12"><?php echo e(translate('NB : XXXX will be replace with otp')); ?></div>
                        </div>
                        <?php ($config=\App\CentralLogics\Helpers::get_business_settings('2factor_sms')); ?>
                        <form action="<?php echo e(env('APP_MODE')!='demo'?route('admin.business-settings.web-app.sms-module-update',['2factor_sms']):'javascript:'); ?>"
                              method="post">
                            <?php echo csrf_field(); ?>

                            <div class="form-group mb-2">
                                <label class="control-label"><?php echo e(translate('2factor_SMS')); ?></label>
                            </div>
                            <div class="d-flex flex-wrap mb-4">
                                <label class="form-check form--check mr-4 mr-md-4">
                                    <input type="radio" name="status" id="2factor_sms_active" value="1" <?php echo e(isset($config) && $config['status']==1?'checked':''); ?>>
                                    <span for="2factor_sms_active" class="mb-0"><?php echo e(translate('active')); ?></span>
                                    <br>
                                </label>
                                <label class="form-check form--check">
                                    <input type="radio" name="status" id="2factor_sms_inactive" value="0" <?php echo e(isset($config) && $config['status']==0?'checked':''); ?>>
                                    <span for="2factor_sms_inactive" class="mb-0"><?php echo e(translate('inactive')); ?> </span>
                                    <br>
                                </label>
                            </div>
                            <div class="form-group">
                                <label><?php echo e(translate('api_key')); ?></label>
                                <input type="text" class="form-control" name="api_key"
                                       value="<?php echo e(env('APP_MODE')!='demo'?$config['api_key']??"":''); ?>">
                            </div>

                            <div class="btn--container">
                                <button type="<?php echo e(env('APP_MODE')!='demo'?'submit':'button'); ?>"
                                    onclick="<?php echo e(env('APP_MODE')!='demo'?'':'call_demo()'); ?>"
                                    class="btn btn-primary"><?php echo e(translate('save')); ?></button>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="card mt-3">
                    <div class="card-body">
                        <div class="d-flex flex-wrap justify-content-between align-items-center text-uppercase mb-1">
                            <h5 class="mb-0"><?php echo e(translate('signalwire_SMS')); ?></h5>
                            <div class="pl-2">
                                <img src="<?php echo e(asset('public/assets/admin/img/signalwire.png')); ?>" alt="public" style="height: 50px">
                            </div>
                        </div>
                        <div>
                            <div class="px-2 d-inline-block rounded badge-soft-info mb-3 fz-12"><?php echo e(translate('NB : #OTP# will be replace with otp')); ?></div>
                        </div>
                        <?php ($config=\App\CentralLogics\Helpers::get_business_settings('signalwire_sms')); ?>
                        <form action="<?php echo e(env('APP_MODE')!='demo'?route('admin.business-settings.web-app.sms-module-update',['signalwire_sms']):'javascript:'); ?>"
                              method="post">
                            <?php echo csrf_field(); ?>

                            <div class="form-group mb-2">
                                <label class="control-label"><?php echo e(translate('signalwire_SMS')); ?></label>
                            </div>
                            <div class="d-flex flex-wrap mb-4">
                                <label class="form-check form--check mr-4 mr-md-4">
                                    <input type="radio" name="status" id="signalwire_active" value="1" <?php echo e(isset($config) && $config['status']==1?'checked':''); ?>>
                                    <span class="mb-0" for="signalwire_active"><?php echo e(translate('active')); ?></span>
                                </label>
                                <label class="form-check form--check">
                                    <input type="radio" name="status" id="signalwire_inactive" value="0" <?php echo e(isset($config) && $config['status']==0?'checked':''); ?>>
                                    <span class="mb-0" for="signalwire_inactive"><?php echo e(translate('inactive')); ?> </span>
                                </label>
                            </div>
                            <div class="form-group">
                                <label><?php echo e(translate('project_id')); ?></label>
                                <input type="text" class="form-control" name="project_id"
                                       value="<?php echo e(env('APP_MODE')!='demo'?$config['project_id']??"":''); ?>">
                            </div>
                            <div class="form-group">
                                <label><?php echo e(translate('token')); ?></label>
                                <input type="text" class="form-control" name="token"
                                       value="<?php echo e(env('APP_MODE')!='demo'?$config['token']??"":''); ?>">
                            </div>
                            <div class="form-group">
                                <label><?php echo e(translate('space_url')); ?></label>
                                <input type="text" class="form-control" name="space_url"
                                       value="<?php echo e(env('APP_MODE')!='demo'?$config['space_url']??"":''); ?>">
                            </div>
                            <div class="form-group">
                                <label><?php echo e(translate('from')); ?></label>
                                <input type="text" class="form-control" name="from"
                                       value="<?php echo e(env('APP_MODE')!='demo'?$config['from']??"":''); ?>">
                            </div>
                            <div class="form-group">
                                <label style="padding-left: 2px"><?php echo e(translate('otp_template')); ?></label>
                                <input type="text" class="form-control" name="otp_template"
                                       value="<?php echo e(env('APP_MODE')!='demo'?$config['otp_template']??"":''); ?>">
                            </div>

                            <div class="btn--container">
                                <button type="<?php echo e(env('APP_MODE')!='demo'?'submit':'button'); ?>"
                                        onclick="<?php echo e(env('APP_MODE')!='demo'?'':'call_demo()'); ?>"
                                        class="btn btn-primary mb-2"><?php echo e(translate('save')); ?></button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

            <div class="col-md-6">
                <div class="card">
                    <div class="card-body">
                        <div class="d-flex flex-wrap justify-content-between align-items-center text-uppercase mb-1">
                            <h5 class="mb-0"><?php echo e(translate('nexmo_SMS')); ?></h5>
                            <div class="pl-2">
                                <img src="<?php echo e(asset('public/assets/admin/img/nexmo.png')); ?>" alt="public" style="height: 50px">
                            </div>
                        </div>
                        <div>
                            <div class="badge-soft-info d-inline-block px-2 rounded mb-3 fz-12"><?php echo e(translate('NB : #OTP# will be replace with otp')); ?></div>
                        </div>
                        <?php ($config=\App\CentralLogics\Helpers::get_business_settings('nexmo_sms')); ?>
                        <form action="<?php echo e(env('APP_MODE')!='demo'?route('admin.business-settings.web-app.sms-module-update',['nexmo_sms']):'javascript:'); ?>"
                              method="post">
                            <?php echo csrf_field(); ?>

                            <div class="form-group mb-2">
                                <label class="control-label"><?php echo e(translate('nexmo_sms')); ?></label>
                            </div>
                            <div class="d-flex flex-wrap mb-4">
                                <label class="form-check form--check mr-4 mr-md-4">
                                    <input type="radio" name="status" id="nexmo_sms_active" value="1" <?php echo e(isset($config) && $config['status']==1?'checked':''); ?>>
                                    <span class="mb-0"><?php echo e(translate('active')); ?></span>
                                </label>
                                <label class="form-check form--check">
                                    <input type="radio" name="status" id="nexmo_sms_inactive" value="0" <?php echo e(isset($config) && $config['status']==0?'checked':''); ?>>
                                    <span class="mb-0"><?php echo e(translate('inactive')); ?> </span>
                                </label>
                            </div>
                            <div class="form-group">
                                <label><?php echo e(translate('api_key')); ?></label>
                                <input type="text" class="form-control" name="api_key"
                                       value="<?php echo e(env('APP_MODE')!='demo'?$config['api_key']??"":''); ?>">
                            </div>
                            <div class="form-group">
                                <label><?php echo e(translate('api_secret')); ?></label>
                                <input type="text" class="form-control" name="api_secret"
                                       value="<?php echo e(env('APP_MODE')!='demo'?$config['api_secret']??"":''); ?>">
                            </div>

                            <div class="form-group">
                                <label><?php echo e(translate('from')); ?></label>
                                <input type="text" class="form-control" name="from"
                                       value="<?php echo e(env('APP_MODE')!='demo'?$config['from']??"":''); ?>">
                            </div>

                            <div class="form-group">
                                <label><?php echo e(translate('otp_template')); ?></label>
                                <input type="text" class="form-control" name="otp_template"
                                       value="<?php echo e(env('APP_MODE')!='demo'?$config['otp_template']??"":''); ?>">
                            </div>

                            <div class="btn--container">
                                <button type="<?php echo e(env('APP_MODE')!='demo'?'submit':'button'); ?>"
                                onclick="<?php echo e(env('APP_MODE')!='demo'?'':'call_demo()'); ?>"
                                class="btn btn-primary"><?php echo e(translate('save')); ?></button>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="card mt-3">
                    <div class="card-body">
                        <div class="d-flex flex-wrap justify-content-between align-items-center text-uppercase mb-1">
                            <h5 class="mb-0"><?php echo e(translate('msg91_SMS')); ?></h5>
                            <div class="pl-2">
                                <img src="<?php echo e(asset('public/assets/admin/img/msg91.png')); ?>" alt="public" style="height: 50px">
                            </div>
                        </div>
                        <div>
                            <div class="badge-soft-info d-inline-block px-2 rounded mb-3 fz-12"><?php echo e(translate('NB : Keep an OTP variable in your SMS providers OTP Template.')); ?></div>
                        </div>
                        <?php ($config=\App\CentralLogics\Helpers::get_business_settings('msg91_sms')); ?>
                        <form action="<?php echo e(env('APP_MODE')!='demo'?route('admin.business-settings.web-app.sms-module-update',['msg91_sms']):'javascript:'); ?>"
                              method="post">
                            <?php echo csrf_field(); ?>

                            <div class="form-group">
                                <label class="control-label"><?php echo e(translate('msg91_sms')); ?></label>
                            </div>
                            <div class="d-flex flex-wrap mb-4">
                                <label class="form-check form--check mr-4 mr-md-4">
                                    <input type="radio" name="status" id="msg91_active" value="1" <?php echo e(isset($config) && $config['status']==1?'checked':''); ?>>
                                    <span for="msg91_active" class="mb-0"><?php echo e(translate('active')); ?></span>
                                    <br>
                                </label>
                                <label class="form-check form--check">
                                    <input type="radio" name="status" id="msg91_inactive" value="0" <?php echo e(isset($config) && $config['status']==0?'checked':''); ?>>
                                    <span for="msg91_inactive" class="mb-0"><?php echo e(translate('inactive')); ?> </span>
                                    <br>
                                </label>
                            </div>
                            <div class="form-group">
                                <label><?php echo e(translate('template_id')); ?></label><br>
                                <input type="text" class="form-control" name="template_id"
                                       value="<?php echo e(env('APP_MODE')!='demo'?$config['template_id']??"":''); ?>">
                            </div>
                            <div class="form-group">
                                <label><?php echo e(translate('authkey')); ?></label><br>
                                <input type="text" class="form-control" name="authkey"
                                       value="<?php echo e(env('APP_MODE')!='demo'?$config['authkey']??"":''); ?>">
                            </div>

                            <div class="btn--container">
                                <button type="<?php echo e(env('APP_MODE')!='demo'?'submit':'button'); ?>"
                                onclick="<?php echo e(env('APP_MODE')!='demo'?'':'call_demo()'); ?>"
                                class="btn btn-primary mb-2"><?php echo e(translate('save')); ?></button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cocoeatz/manage.cocoeats.co.uk/resources/views/admin-views/business-settings/sms-index.blade.php ENDPATH**/ ?>